<!DOCTYPE html>
    
<html lang="cs"> 
 <head>
 <title>Výpis tabulky</title>

 <meta charset="utf-8">
 <meta name="keywords" content="mysqli, databáze">
 <meta name="description" content="Výpis z databáze">
 <link href="css/style.css" type="text/css" rel="stylesheet">

 </head>

 <body>
 <h1>Výpis uživatelů</h1>

  <?php
  // Vypíše údaje z tabulky
  
  // Vložíme soubor pro připojení k databázi
  require_once "spojeni.php";
  
  // Dotaz do databáze
  $result = mysqli_query($conn, "SELECT id, jmeno, email
                                 FROM uzivatele 
                                 ORDER BY jmeno") or die ("<p>Omlouváme se, ale selhalo spojení s databází. Prosím kontaktujte tech. podporu.</p>");
  
  echo "<table>";
  
  // Pomocí cyklu while vypíšu řádky tabulky
  while ($row = mysqli_fetch_array($result)) {
         $id = $row['id'];
         $jmeno = $row['jmeno'];
         $email = $row['email'];

         echo '<tr><td><strong>'.$id.'</strong></td><td>'.$jmeno.'</td><td>'.$email.'</td><td><a href="smazat.php?id='.$id.'" onclick="return confirm(\'Opravdu si přejete uživatele smazat?\');">smazat</a></td></tr>';
  }
  echo "</table>";
  mysqli_free_result($result);
  mysqli_close($conn);
?>

  <hr />
  <h2>Vložit uživatele</h2>
  
  <form method="post" action="vlozit.php">
    <table>
      <tr><td>Jméno:</td><td><input type="text" name="jmeno" maxlength="30" /></td></tr>
      <tr><td>Email:</td><td><input type="text" name="email" maxlength="40" /></td></tr>
      <tr><td></td><td><input type="submit" name="odeslat" value="Vložit" /></td></tr>
    </table>
  </form>
 </body>
</html>
