<?php
 // Toto je úvodní stránka s formulářem pro přihlášení do zabezpečené zóny
 // SESSION je superglobální pole, které ukládá hodnoty proměnných v rámci sezení na straně serveru, na straně klienta se ukládá pouze ID této relace
 // Pro využití SESSION je potřeba mít v prohlížeči povoleno COOKIES (Ukládá se ID relace))
 // Chceme-li pracovat na jakékoli stránce s proměnnými SESSION, musíme nejprve vždy použít funkci pro jejich nastartování
 session_start();
 // Když už jsme (budeme) přihlášení (jsou nastaveny proměnné SESSION a ID relace), stránka nás automaticky přesměruje pomocí funkce header() na zabezpečenou část webu
 if (IsSet($_SESSION['key-zone'])) header("Location: key-zone.php");
?> 

<?php
  // Definujeme uživ. funkci, která vypisuje informace o přihlašování  
  function zpravaLogin ($er) {
    if ($er == 2) $vypis = "<p>Bohužel zadané údaje nejsou správné!</p>";
    elseif ($er == 3) $vypis = "<p>Neoprávěný přístup!</p>";
    else $vypis = "<p>Prosím zadejte přihlašovací údaje! Je nutné mít povoleno COOKIES!</p>";
   return $vypis;  
   }
?> 

<!DOCTYPE html>
    
<html lang="cs"> 

 <head>
  <title>Přihlášení - LOGIN</title>

  <meta charset="utf-8">
 </head>
 
 <body>

      <h1>Přihlášení</h1>
      
      <?php 
       // Zde voláme funkci, která provede výpis na základě předávané proměnné v adrese URL
       echo zpravaLogin($_GET['er']);
      ?>
      
      <!-- Po zadání přihlašovacích údajů, jsou data odeslána na kontrolní skript process-login.php. Dále pokračujte tam. -->
       <form method="post" action="process-login.php">
        <table>
         <tr><td>Login</td><td><input type="text" name="login" maxlength="6" /></td></tr>
         <tr><td>Heslo</td><td><input type="password" name="heslo" maxlength="6" /></td></tr>
         <tr><td></td><td><input type="submit" name="action" value="Přihlásit" /></td></tr>
        </table>
       </form>

 </body>
</html>
