<!DOCTYPE html>
    
<html lang="cs"> 

  <head>
    <meta http-equiv="Author" content="Luboslav Lacko, upravil J. Kubrický">
    <meta charset="utf-8">
    <title>UPLOAD souboru</title>
  </head>

  <body>
    <div>
  <?php
  // Logická část skritpu, která se vykoná, až jakmile bude odeslán formulář
  // Úvodní podmínka hlídá, zda-li byl pomocí formuláře odeslán soubor
  // Pokud je splněna, nejprve se vypíšou parametry přenášeného souboru z pole FILES
  if (isset($_FILES['fupload'])) {
  
      print "název: ".           $_FILES['fupload']['name']       ."<br />";
      print "velikost: ".        $_FILES['fupload']['size'] ." bajtů<br />";
      print "dočasné umístění: ".$_FILES['fupload']['tmp_name']   ."<br />";
      print "typ:  ".            $_FILES['fupload']['type']       ."<br />";
      print "chyba: ".           $_FILES['fupload']['error']      ."<br />";
    
      // Do proměnné nazev_souboru načteme dočasné jméno a umístění uploadovaného souboru (pro potřeby funkce move_uploaded_file)
      $nazev_souboru = $_FILES['fupload']['tmp_name'];
      
      // Do proměnné cil načteme celou cestu, kde se uloží uploadovaný soubor 
      $cil = "soubory/".$_FILES['fupload']['name'];
      
      // Funkce, která přenese soubor do cílového adresáře  
      move_uploaded_file($nazev_souboru, $cil)                                  
          or die ("Přenesený soubor nelze zkopírovat");

      // Pokud je uploadovaný soubor obrázek jpeg, zobrazí se na stránkce jeho náhled 
      if ($_FILES['fupload']['type'] == "image/jpeg") {
          
          // Našteme velikost obrázku do proměnné size (šířka size[0] a výška size[1])
          $size = getImageSize($cil);
          
          // XHTML kód pro vypsání nahraného obrázku
          $html_img_str  = "<p><img width=\"$size[0]\" height=\"$size[1]\" src=\"$cil\" alt=\"přenesený obrázek\" /></p>";
          
          // Vypíšeme kód obrázku
          print $html_img_str;
      }
  }
  ?>
    </div>
   
   
  <!-- v atributu action formulář odesílá data sám sobě pomocí speciální proměnné z pole SERVER -->  
  <form enctype="multipart/form-data"
      action="<?php print $_SERVER['PHP_SELF']?>" method="post">                
      <p>
         <!-- Maximální velikost uploadovaného souboru jsme nastavili na 512 kB -->
         <input type="hidden" name="MAX_FILE_SIZE" value="512000" />
         <input type="file" name="fupload" style="width: 500px;"/><br />
         <input type="submit" value="Odeslat soubor" />
      </p>
  </form>
  
  </body>
</html>

