<?php
// Index pouze vkládá požadované soubory a drží všechno pohromadě
// Do svého těla vloží tu stránku, jejiž název získá z parametru adresy URL
// Do proměnné page načtu hodnotu z pole GET
// Ta se předává pomocí otazníku a přidělení hodnoty. Např. tedy index.php?page=informace


// Ternární operátor v následujícím přípaě provádí
// Když je nastavena hodnota $_GET['page'] ? do nové proměnné $page načti její hodnotu : jinak do nové proměnné $page nenačti nic
isSet($_GET['page']) ? $page = trim($_GET['page']) : $page = "";

// Pokud existuje stránka podle podmínky (ve složce data), vložím ji na toto místo
if (file_exists("./data/".$page.".php")) {
    include_once "./data/".$page.".php";
}

// Pokud stránka (soubor) neexistuje, vložím defaultní              
else {
    include_once "./data/osobni-vizitka.php";
}


// Nastavuji aktivní položku menu (menu v souboru bottom.inc.php)
if ($page == "informace") $a2 = 'class="active"';
else $a1 = 'class="active"';


// Vložím patičku stránek
include_once "./inc/bottom.inc.php";